Bug 476312 - "Weak Password" dialog displays actual password
"Weak Password" dialog displays actual password
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 476484 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 19:03 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 10:57:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-12-12 19:03:49 EST
Description of problem:

The "Weak Password" dialog now displays the password itself.  Since the person reading it was the one who typed in the password, showing it to them is unnecessary and a security risk.  Also, this dialog seems to always pop up, regardless of the password strength.

http://lmacken.fedorapeople.org/tmp/anaconda-password.png

Version-Release number of selected component (if applicable):
rawhide, 20081212
Comment 1 Luke Macken 2008-12-12 19:05:14 EST
Ricky threw together an untested patch that could potentially resolve this issue:

http://ricky.fedorapeople.org/anaconda-cracklib.patch
Comment 2 Nils Philippsen 2008-12-15 08:45:16 EST
Fixing component.
Comment 3 Chris Lumens 2008-12-15 10:06:19 EST
*** Bug 476484 has been marked as a duplicate of this bug. ***
Comment 4 Chris Lumens 2008-12-15 10:57:56 EST
This bug will be fixed in the next build of anaconda.  Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.